The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Update runs without errors(I think) but the version stil is WHM 11.40.1 (build 22)

Discussion in 'General Discussion' started by cipa, Feb 23, 2015.

  1. cipa

    cipa Registered

    Joined:
    Feb 23, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hi,

    I recently setup a cloud linux VPS and I'm try to update everything on it. So far I managed to update php and mysql successfully but I can update cpanel.

    The latest stable should be 11.48.0.13 but after running the update manually a few times the top bar is still
    WHM 11.40.1 (build 22)

    I have
    CLOUDLINUX 6.4 x86_64 kvm – server

    Being new to all this I am sure I am missing something. Am I? :)

    Thank you
     
  2. keat63

    keat63 Well-Known Member

    Joined:
    Nov 20, 2014
    Messages:
    765
    Likes Received:
    20
    Trophy Points:
    18
    cPanel Access Level:
    Root Administrator
    Do you have updates set to automatic or manual.
    I had mine set to disabled.

    When i went through to update process, it looked like it was doing an update, when in fact all it was doing, was downloading the update file.
    The actual update never went ahead.

    Incidentally, my update took about 40 minutes, when the update was disabled it looks like it finished in about 5 minutes, with no errors that i recall.
     
    #2 keat63, Feb 24, 2015
    Last edited: Feb 24, 2015
  3. cipa

    cipa Registered

    Joined:
    Feb 23, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Automatic, this is the weird part everything should have been updated long time ago
     
  4. cipa

    cipa Registered

    Joined:
    Feb 23, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    I tried one more time, It says:
    Upgrade complete. the slider is to 100%

    And in the logs box the latest messages are

    Code:
    [20150224.091502]    - Processing command `/usr/local/cpanel/scripts/detect_env_capabilities`
    [20150224.091502]   
    [20150224.091502] Maintenance complete.
    => Log closed Tue Feb 24 09:15:02 2015
    ----------------------------------------------------------------------------------------------------
    => Log opened from cPanel Update (upcp) - Slave (274918) at Tue Feb 24 09:15:02 2015
    [20150224.091502]   Maintenance completed successfully
    [20150224.091502]   Running /usr/local/cpanel/scripts/postupcp
    [20150224.091531]   Running Standardized hooks
    [20150224.091531]   
    [20150224.091531]  cPanel update completed
    [20150224.091531]   A log of this update is available at /var/cpanel/updatelogs/update.1424786977.log
    [20150224.091531]   Removing upcp pidfile
    [20150224.091531]   
    [20150224.091531] Completed all updates
    => Log closed Tue Feb 24 09:15:31 2015
     
  5. cipa

    cipa Registered

    Joined:
    Feb 23, 2015
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Update(found this in an email):

    Code:
    [20150224.091408]   Testing RPM transaction
    [20150224.091409]   error: Failed dependencies:
    [20150224.091409]         MySQL-client is needed by cpanel-php54-horde-5.1.4-1.cp1142.noarch
    [20150224.091409]         MySQL-server is needed by cpanel-php54-horde-5.1.4-1.cp1142.noarch
    [20150224.091409]         MySQL-client is needed by cpanel-php54-webmail-5.1.1-1.cp1142.noarch
    [20150224.091409]         MySQL-server is needed by cpanel-php54-webmail-5.1.1-1.cp1142.noarch
    [20150224.091409] W Exit Code: 192
    [20150224.091409] ***** FATAL: Test install failed: error: Failed dependencies:
    [20150224.091409]         MySQL-client is needed by cpanel-php54-horde-5.1.4-1.cp1142.noarch
    [20150224.091409]         MySQL-server is needed by cpanel-php54-horde-5.1.4-1.cp1142.noarch
    [20150224.091409]         MySQL-client is needed by cpanel-php54-webmail-5.1.1-1.cp1142.noarch
    [20150224.091409]         MySQL-server is needed by cpanel-php54-webmail-5.1.1-1.cp1142.noarch
    [20150224.091409]   The Administrator will be notified to review this output when this script completes
    Any ideas how to fix this

    Thank you
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,678
    Likes Received:
    649
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    You mentioned upgrading MySQL in your original post. Could you let us know how you upgraded it? Please also post the output from:

    Code:
    mysql --version
    Thank you.
     
Loading...

Share This Page